### Function

# EBookContacts PhoneNumber get_default_region

since: 3.8

#### Declaration [src]

    gchar*
    e_phone_number_get_default_region (
      GError** error
    )

#### Description [src]

Retrieves the current two-letter country code that’s used by default for parsing phone numbers in e_phone_number_from_string(). It can be useful to store this number before parsing a bigger number of phone numbers.

The result of this functions depends on the current setup of the `LC_ADDRESS` category: If that category provides a reasonable value for `_NL_ADDRESS_COUNTRY_AB2` this value is returned. Otherwise the locale name configured for `LC_ADDRESS` is parsed.

Available since: 3.8

#### Return value

Type: `gchar*`

A newly allocated string containing the current locale’s two-letter code for phone number parsing.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.